#include<bits/stdc++.h>
using namespace std;
int main(){
      int n;
            cin>>n;
                  vector<pair<int, int> >N(n);
                        for(int i=0, i<n, i++){
                                    cin>>N[i].first>>N[i].second;
                                          }
                                                cout<<0<<"\n";
                                                }